SpyBara
Go Premium

resources/uploads/subresources/parts/methods/create/index.md 2026-07-10 23:02 UTC to 2026-07-12 06:58 UTC

5 added, 1 removed.

2026
Fri 31 21:03 Thu 30 23:58 Wed 29 15:02 Sat 25 05:59 Thu 23 18:00 Wed 22 20:02 Mon 20 20:00 Fri 17 17:00 Thu 16 20:57 Wed 15 02:58 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

Add upload part

post /uploads/{upload_id}/parts

Adds a Part to an Upload object. A Part represents a chunk of bytes from the file you are trying to upload.

Each Part can be at most 64 MB, and you can add Parts until you hit the Upload maximum of 8 GB.

It is possible to add multiple Parts in parallel. You can decide the intended order of the Parts when you complete the Upload.

Path Parameters

  • upload_id: string

Returns

  • UploadPart object { id, created_at, object, upload_id }

    The upload Part represents a chunk of bytes we can add to an Upload object.

    • id: string

      The upload Part unique identifier, which can be referenced in API endpoints.

    • created_at: number

      The Unix timestamp (in seconds) for when the Part was created.

    • object: "upload.part"

      The object type, which is always upload.part.

      • "upload.part"
    • upload_id: string

      The ID of the Upload object that this Part was added to.

Example

curl https://api.openai.com/v1/uploads/$UPLOAD_ID/parts \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F 'data=@/path/to/data'

Response

{
  "id": "id",
  "created_at": 0,
  "object": "upload.part",
  "upload_id": "upload_id"
}

Example

curl https://api.openai.com/v1/uploads/upload_abc123/parts
  -F data="aHR0cHM6Ly9hcGkub3BlbmFpLmNvbS92MS91cGxvYWRz..."

Response

{
  "id": "part_def456",
  "object": "upload.part",
  "created_at": 1719185911,
  "upload_id": "upload_abc123"
}